Update inbound payment intent
Update a user's inbound payment intent
Required Scopes:
payment_intent.inbound:write
- Type: stringFormat: uuiduidrequired
The
uidof the payment intent
- Type: stringaddendamin length:1max length:80
Payment intent description, which will also be used as the addenda on any payments made on the payment intent. This field cannot be updated on fully paid or canceled payment intents.
- Type: string | nullFormat: datedue
_date The due date for payment of payment intent. Must be a string with format YYYY-MM-DD representing a date in the future.
- Type: string | nullmemomax length:500
A private memo for internal use.
- Type: string | nullnotemax length:500
A note to the payee/customer. This field cannot be updated on fully paid or canceled payment intents.
- Type: booleanresend
_email If true, the customer will receive an email notification letting them know the payment intent has been updated and is available to pay with a payment portal link. Email notifications cannot be resent on fully paid or canceled payment intents.
- Type: stringtotal
Pattern: ^-?\d{0,12}(?:\.\d{0,2})?$Format: decimalThe total amount due for the payment intent. If updated, the remaining balance due (total - sum of existing payments) must be greater or equal to 1.00. This field cannot be updated on fully paid or canceled payment intents.
- application/json
- application/json
- application/json
curl https://api.foundation.dev.trusspayments.com/v1/payment-intents/inbound/123e4567-e89b-12d3-a456-426614174000/ \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"total": "",
"addenda": "",
"note": null,
"memo": null,
"due_date": null,
"resend_email": true
}'
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"total": "string",
"addenda": "string",
"direction": 0,
"note": null,
"memo": null,
"due_date": null,
"contact": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "string",
"email": null,
"secondary_email": null,
"phone": null
},
"status": "string",
"balance_paid": "string",
"created_at": "2026-05-11T18:16:44.612Z",
"pending_at": null,
"paid_at": null,
"canceled_at": null,
"transactions": [
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"amount": "string",
"addenda": null,
"type": "transaction",
"payment_method": "ach",
"date": "2026-05-11T18:16:44.612Z",
"preprocessed_at": "2026-05-11T18:16:44.612Z",
"processed_at": "2026-05-11T18:16:44.612Z",
"posted_at": "2026-05-11T18:16:44.612Z",
"settled_at": "2026-05-11T18:16:44.612Z",
"returned_at": "2026-05-11T18:16:44.612Z",
"status": "ReturnedTransaction",
"direction": 0
}
]
}
